## pgl-ddl-deploy 1.3.0

=== Makefile ===
EXTENSION = pgl_ddl_deploy
DATA = pgl_ddl_deploy--1.0.sql pgl_ddl_deploy--1.0--1.1.sql \
        pgl_ddl_deploy--1.1.sql pgl_ddl_deploy--1.1--1.2.sql \
        pgl_ddl_deploy--1.2.sql pgl_ddl_deploy--1.2--1.3.sql \
        pgl_ddl_deploy--1.3.sql
MODULES = pgl_ddl_deploy 

REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \
           05_allowed 06_multi 07_edges 08_ignored \
           09_unsupported 10_no_create_user 11_override \
           12_sql_command_tags 13_transaction 14_dep_updates \
           15_new_set_behavior 16_multi_set_tags \
           17_include_only_repset_tables_1 \
           18_include_only_repset_tables_2 \
           19_include_only_repset_tables_3 \
           20_unprivileged_users 21_is_deployed \
           22_sub_retries 23_1_2_to_1_3 99_cleanup
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Prevent unintentional inheritance of PGSERVICE while running regression suite
# with make installcheck.  We typically use PGSERVICE in our shell environment but
# not for dev. Require instead explicit PGPORT= or PGSERVICE= to do installcheck
unexport PGSERVICE

=== debian/changelog ===
pgl-ddl-deploy (1.3.0-1) unstable; urgency=medium

  * Version 1.3.0 from upstream.

 -- Dominic Salvador <dsalvador@enova.com>  Tue, 17 Apr 2018 14:04:55 -0500

pgl-ddl-deploy (1.2.0-1) unstable; urgency=medium

  * Version 1.2.0 from upstream.

 -- Dominic Salvador <dsalvador@enova.com>  Thu, 25 Jan 2018 13:41:54 -0600

pgl-ddl-deploy (1.1.0-1) unstable; urgency=medium

  * Version 1.1.0 from upstream.

 -- Dominic Salvador <dsalvador@enova.com>  Tue, 02 Jan 2018 12:23:49 -0600

pgl-ddl-deploy (1.0.0-1) unstable; urgency=medium

  * Version 1.0.0 from upstream.

 -- Dominic Salvador <dsalvador@enova.com>  Tue, 05 Sep 2017 13:23:40 -0500

=== debian/control ===
Source: pgl-ddl-deploy
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper (>= 9), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.1.3
Homepage: https://github.com/enova/pgl_ddl_deploy
Vcs-Git: https://github.com/enova/pgl_ddl_deploy.git

Package: postgresql-10-pgl-ddl-deploy
Architecture: any
Depends: postgresql-10, postgresql-10-pglogical, ${shlibs:Depends}, ${misc:Depends}
Description: Transparent DDL replication for PostgreSQL
 Automated DDL deployment using PgLogical for PostgreSQL 10.

## pgl-ddl-deploy 1.5.1

=== Makefile ===
--- 
+++ 
@@ -2,19 +2,23 @@
 DATA = pgl_ddl_deploy--1.0.sql pgl_ddl_deploy--1.0--1.1.sql \
         pgl_ddl_deploy--1.1.sql pgl_ddl_deploy--1.1--1.2.sql \
         pgl_ddl_deploy--1.2.sql pgl_ddl_deploy--1.2--1.3.sql \
-        pgl_ddl_deploy--1.3.sql
-MODULES = pgl_ddl_deploy 
+        pgl_ddl_deploy--1.3.sql pgl_ddl_deploy--1.3--1.4.sql \
+        pgl_ddl_deploy--1.4.sql pgl_ddl_deploy--1.4--1.5.sql \
+        pgl_ddl_deploy--1.5.sql
+MODULES = pgl_ddl_deploy ddl_deparse
 
 REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \
            05_allowed 06_multi 07_edges 08_ignored \
            09_unsupported 10_no_create_user 11_override \
-           12_sql_command_tags 13_transaction 14_dep_updates \
+           12_sql_command_tags 13_transaction \
            15_new_set_behavior 16_multi_set_tags \
            17_include_only_repset_tables_1 \
            18_include_only_repset_tables_2 \
            19_include_only_repset_tables_3 \
-           20_unprivileged_users 21_is_deployed \
-           22_sub_retries 23_1_2_to_1_3 99_cleanup
+           20_include_only_repset_tables_4 21_unprivileged_users \
+           22_is_deployed 23_1_4_features 24_sub_retries \
+           25_1_5_features 26_1_2_to_1_3 27_1_3_to_1_4 \
+           99_cleanup
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/control ===
Source: pgl-ddl-deploy
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper (>= 9), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.2.0
Homepage: https://github.com/enova/pgl_ddl_deploy
Vcs-Browser: https://github.com/enova/pgl_ddl_deploy
Vcs-Git: https://github.com/enova/pgl_ddl_deploy.git

Package: postgresql-11-pgl-ddl-deploy
Architecture: any
Depends: postgresql-11, postgresql-11-pglogical, ${shlibs:Depends}, ${misc:Depends}
Description: Transparent DDL replication for PostgreSQL
 Automated DDL deployment using PgLogical for PostgreSQL 11.

## pgl-ddl-deploy 1.6.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
         pgl_ddl_deploy--1.2.sql pgl_ddl_deploy--1.2--1.3.sql \
         pgl_ddl_deploy--1.3.sql pgl_ddl_deploy--1.3--1.4.sql \
         pgl_ddl_deploy--1.4.sql pgl_ddl_deploy--1.4--1.5.sql \
-        pgl_ddl_deploy--1.5.sql
+        pgl_ddl_deploy--1.5.sql pgl_ddl_deploy--1.5--1.6.sql \
+        pgl_ddl_deploy--1.6.sql
 MODULES = pgl_ddl_deploy ddl_deparse
 
 REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \
@@ -18,7 +19,7 @@
            20_include_only_repset_tables_4 21_unprivileged_users \
            22_is_deployed 23_1_4_features 24_sub_retries \
            25_1_5_features 26_1_2_to_1_3 27_1_3_to_1_4 \
-           99_cleanup
+           28_raise_message 29_1_6_features 99_cleanup
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
pgl-ddl-deploy (1.6.0-1) unstable; urgency=medium

  * Fix incompatibility with pglogical 2.2.2
  * Other various bug fixes

 -- Jeremy Finzel <jfinzel@enova.com>  Fri, 30 Aug 2019 10:37:30 -0500 

pgl-ddl-deploy (1.5.1-1) unstable; urgency=medium

  * Fix test race conditions and unstable output 

 -- Jeremy Finzel <jfinzel@enova.com>  Tue, 15 Jan 2019 11:04:16 -0600 

pgl-ddl-deploy (1.5.0-1) unstable; urgency=medium

  * Support more commands and allow kill blocking subscriber processes 

 -- Jeremy Finzel <jfinzel@enova.com>  Wed, 26 Dec 2018 14:45:07 -0600 

pgl-ddl-deploy (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control(.in): Add Vcs-Browser, bump Standards-Version, and
    update for PostgreSQL 11.
  * debian/tests/control: Tests require user "postgres", so run as root.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 29 Oct 2018 12:37:19 +0100

pgl-ddl-deploy (1.4.0-1) unstable; urgency=medium

  * Support ddl-only replication and alter table subcommand filtering 

 -- Jeremy Finzel <jfinzel@enova.com>  Wed, 17 Oct 2018 09:56:24 -0500 

## pgl-ddl-deploy 1.7.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
         pgl_ddl_deploy--1.3.sql pgl_ddl_deploy--1.3--1.4.sql \
         pgl_ddl_deploy--1.4.sql pgl_ddl_deploy--1.4--1.5.sql \
         pgl_ddl_deploy--1.5.sql pgl_ddl_deploy--1.5--1.6.sql \
-        pgl_ddl_deploy--1.6.sql
+        pgl_ddl_deploy--1.6.sql pgl_ddl_deploy--1.6--1.7.sql \
+        pgl_ddl_deploy--1.7.sql
 MODULES = pgl_ddl_deploy ddl_deparse
 
 REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \

=== debian/changelog ===
pgl-ddl-deploy (1.7.0-1) unstable; urgency=medium

  * Support for Postgres 12
  * Support for pglogical 2.3.0

 -- Michael Elterman <melterman@enova.com>  Mon, 16 Mar 2020 15:37:28 -0500

pgl-ddl-deploy (1.6.0-1) unstable; urgency=critical (fixes compatibility with pglogical 2.2.2)

  * Fix incompatibility with pglogical 2.2.2
  * Other various bug fixes

 -- Jeremy Finzel <jfinzel@enova.com>  Fri, 30 Aug 2019 10:37:30 -0500 

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 Vcs-Browser: https://github.com/enova/pgl_ddl_deploy
 Vcs-Git: https://github.com/enova/pgl_ddl_deploy.git
 
-Package: postgresql-11-pgl-ddl-deploy
+Package: postgresql-12-pgl-ddl-deploy
 Architecture: any
-Depends: postgresql-11, postgresql-11-pglogical, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-12, postgresql-12-pglogical, ${shlibs:Depends}, ${misc:Depends}
 Description: Transparent DDL replication for PostgreSQL
- Automated DDL deployment using PgLogical for PostgreSQL 11.
-
+ Automated DDL deployment using PgLogical for PostgreSQL 12.

=== debian/tests/control ===
# requires user "postgres", so run as root
Depends: @, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr, needs-root

## pgl-ddl-deploy 2.0.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
         pgl_ddl_deploy--1.4.sql pgl_ddl_deploy--1.4--1.5.sql \
         pgl_ddl_deploy--1.5.sql pgl_ddl_deploy--1.5--1.6.sql \
         pgl_ddl_deploy--1.6.sql pgl_ddl_deploy--1.6--1.7.sql \
-        pgl_ddl_deploy--1.7.sql
+        pgl_ddl_deploy--1.7.sql pgl_ddl_deploy--1.7--2.0.sql \
+        pgl_ddl_deploy--2.0.sql
 MODULES = pgl_ddl_deploy ddl_deparse
 
 REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \
@@ -19,8 +20,36 @@
            19_include_only_repset_tables_3 \
            20_include_only_repset_tables_4 21_unprivileged_users \
            22_is_deployed 23_1_4_features 24_sub_retries \
-           25_1_5_features 26_1_2_to_1_3 27_1_3_to_1_4 \
-           28_raise_message 29_1_6_features 99_cleanup
+           25_1_5_features 26_new_setup \
+           27_raise_message 28_1_6_features \
+           29_create_ext \
+           30_setup \
+           31_add_configs \
+           32_deploy_update \
+           33_allowed \
+           34_multi \
+           35_edges \
+           36_ignored \
+           37_unsupported \
+           38_no_create_user \
+           39_override \
+           40_sql_command_tags \
+           41_transaction \
+           43_new_set_behavior \
+           44_multi_set_tags \
+           45_include_only_repset_tables_1 \
+           46_include_only_repset_tables_2 \
+           47_include_only_repset_tables_3 \
+           48_include_only_repset_tables_4 \
+           49_unprivileged_users \
+           50_is_deployed \
+           51_1_4_features \
+           52_sub_retries \
+           53_1_5_features \
+           54_new_setup \
+           55_raise_message \
+           56_1_6_features \
+           57_native_features
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
pgl-ddl-deploy (2.0.0-2) unstable; urgency=medium

  [ Jeremy Finzel ]
  * Regression fix - add -o wal_level=logical

  [ Christian Ehrhardt ]
  * d/changelog: fix new version to be >2.0.0-1
  * revert unmentioned drop of needs-root in d/t/control
  * d/t/control: update test dependencies for postgresql-13

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 07 Dec 2020 14:18:20 +0100

pgl-ddl-deploy (2.0.0-1) unstable; urgency=medium

  * Support for Native Logical Replication
  * Support for Postgres 13 (Closes: #972505)

 -- Jeremy Finzel <jfinzel@enova.com>  Fri, 06 Nov 2020 12:32:30 -0600

pgl-ddl-deploy (1.7.0-2) UNRELEASED; urgency=low

  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 04 Jun 2020 18:27:15 -0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Vcs-Browser: https://github.com/enova/pgl_ddl_deploy
 Vcs-Git: https://github.com/enova/pgl_ddl_deploy.git
 
-Package: postgresql-12-pgl-ddl-deploy
+Package: postgresql-13-pgl-ddl-deploy
 Architecture: any
-Depends: postgresql-12, postgresql-12-pglogical, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-13, ${shlibs:Depends}, ${misc:Depends}
 Description: Transparent DDL replication for PostgreSQL
- Automated DDL deployment using PgLogical for PostgreSQL 12.
+ Automated DDL deployment using PgLogical for PostgreSQL 13.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

# omit this if the package does not use autoconf
override_dh_auto_configure:
	# nothing to do here

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-pgl-ddl-deploy

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

## pgl-ddl-deploy 2.1.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
         pgl_ddl_deploy--1.5.sql pgl_ddl_deploy--1.5--1.6.sql \
         pgl_ddl_deploy--1.6.sql pgl_ddl_deploy--1.6--1.7.sql \
         pgl_ddl_deploy--1.7.sql pgl_ddl_deploy--1.7--2.0.sql \
-        pgl_ddl_deploy--2.0.sql
+        pgl_ddl_deploy--2.0.sql pgl_ddl_deploy--2.0--2.1.sql \
+        pgl_ddl_deploy--2.1.sql
 MODULES = pgl_ddl_deploy ddl_deparse
 
 REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \

=== debian/changelog ===
pgl-ddl-deploy (2.1.0-3) unstable; urgency=medium

  * Team upload for PostgreSQL 15.
  * Fix regression tests for PG 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2022 13:36:59 +0200

pgl-ddl-deploy (2.1.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 14.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Oct 2021 12:51:30 +0200

pgl-ddl-deploy (2.1.0-1) unstable; urgency=medium

  * Fix duplicate issue with multiple subscriptions 

 -- Jeremy Finzel <jfinzel@enova.com>  Fri, 19 Feb 2021 11:21:59 -0600

=== debian/control ===
Source: pgl-ddl-deploy
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper-compat (= 13), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/enova/pgl_ddl_deploy
Vcs-Browser: https://github.com/enova/pgl_ddl_deploy
Vcs-Git: https://github.com/enova/pgl_ddl_deploy.git

Package: postgresql-15-pgl-ddl-deploy
Architecture: any
Depends: postgresql-15, ${shlibs:Depends}, ${misc:Depends}
Description: Transparent DDL replication for PostgreSQL
 Automated DDL deployment using PgLogical for PostgreSQL 15.

=== debian/tests/control ===
# requires user "postgres", so run as root
Depends: @, make, postgresql-contrib-15, postgresql-15-pglogical
Tests: installcheck
Restrictions: allow-stderr, needs-root

## pgl-ddl-deploy 2.2.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
         pgl_ddl_deploy--1.6.sql pgl_ddl_deploy--1.6--1.7.sql \
         pgl_ddl_deploy--1.7.sql pgl_ddl_deploy--1.7--2.0.sql \
         pgl_ddl_deploy--2.0.sql pgl_ddl_deploy--2.0--2.1.sql \
-        pgl_ddl_deploy--2.1.sql
+        pgl_ddl_deploy--2.1.sql pgl_ddl_deploy--2.1--2.2.sql \
+        pgl_ddl_deploy--2.2.sql
 MODULES = pgl_ddl_deploy ddl_deparse
 
 REGRESS := 01_create_ext 02_setup 03_add_configs 04_deploy 04_deploy_update \

=== debian/changelog ===
pgl-ddl-deploy (2.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 14:13:39 +0000

pgl-ddl-deploy (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Dec 2023 11:35:03 +0100

pgl-ddl-deploy (2.2.0-2) unstable; urgency=medium

  * Run tests at build time; set USER=postgres so the testsuite doesn't need
    root.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2023 16:34:44 +0000

pgl-ddl-deploy (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.
  * Move packaging repo to salsa.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Oct 2023 20:54:05 +0200

=== debian/control ===
Source: pgl-ddl-deploy
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Jeremy Finzel <jfinzel@enova.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libpq-dev,
 postgresql-17-pglogical,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/enova/pgl_ddl_deploy
Vcs-Browser: https://salsa.debian.org/postgresql/pgl-ddl-deploy
Vcs-Git: https://salsa.debian.org/postgresql/pgl-ddl-deploy.git

Package: postgresql-17-pgl-ddl-deploy
Architecture: any
Depends:
 postgresql-17,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Transparent DDL replication for PostgreSQL
 Automated DDL deployment using PgLogical for PostgreSQL 17.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_pgxs_test:
	USER=postgres \
	pg_buildext -o shared_preload_libraries=pglogical -o wal_level=logical \
		installcheck . . postgresql-%v-pgl-ddl-deploy

%:
	dh $@ --with pgxs

=== debian/tests/control ===
Depends:
 make,
 postgresql-17-pglogical,
 postgresql-contrib-17,
 @,
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/enova/pgl_ddl_deploy/tags .*/v(.*).tar.gz
